Documentation · API reference
POST/api/v1/sites/{site}/funnels

Add a funnel: its steps, in order

Add a funnel: its steps, in order.

Parameters

sitein the address
neededA site's id or name

What to send

FunnelCreate

name
stringneeded
spec
objectneeded

The answer

Status 201

FunnelView

id
stringneeded
name
stringneeded
spec
objectneeded
steps
list of stringneededEach step in words.

Asking

With your token from Settings
curl -X POST https://tidekeeper.eu/api/v1/sites/example.org/funnels \
    -H "Authorization: Bearer $TIDEKEEPER_TOKEN" \
    -H "Content-Type: application/json" \
    -d '{"name": "…", "spec": {}}'
With your token from Settings
const answer = await fetch("https://tidekeeper.eu/api/v1/sites/example.org/funnels", {
  method: "POST",
  headers: {
    Authorization: `Bearer ${process.env.TIDEKEEPER_TOKEN}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({"name": "…", "spec": {}}),
}).then((r) => r.json());